Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.util
Class HibernateSearchResourceLoader

    java.lang.Object
      org.hibernate.search.util.HibernateSearchResourceLoader

All Implemented Interfaces:
  org.apache.solr.common.ResourceLoader

    public class HibernateSearchResourceLoader

extends java.lang.Object
implements org.apache.solr.common.ResourceLoader

Author:
  Emmanuel Bernard

Constructor Summary
`HibernateSearchResourceLoader()`

Method Summary
`java.util.List<java.lang.String>` | `getLines(java.lang.String resource)`
`java.lang.Object` | `newInstance(java.lang.String cname, java.lang.String... subpackages)`
`java.io.InputStream` | `openResource(java.lang.String resource)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HibernateSearchResourceLoader

    public HibernateSearchResourceLoader()

Method Detail

### openResource

    public java.io.InputStream openResource(java.lang.String resource)
                                     throws java.io.IOException

  Specified by:
    `openResource` in interface `org.apache.solr.common.ResourceLoader`
  Throws:
    `java.io.IOException`

### getLines

    public java.util.List<java.lang.String> getLines(java.lang.String resource)
                                              throws java.io.IOException

  Specified by:
    `getLines` in interface `org.apache.solr.common.ResourceLoader`
  Throws:
    `java.io.IOException`

### newInstance

    public java.lang.Object newInstance(java.lang.String cname,
                                        java.lang.String... subpackages)

  Specified by:
    `newInstance` in interface `org.apache.solr.common.ResourceLoader`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.